cURL
curl -X GET 'https://api.telegent.com/v1.0/account/workgroups' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/account/workgroups"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/account/workgroups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Workgroups": [
{
"WorkgroupId": "WG-abc123",
"Name": "Support Team",
"Type": "ring",
"Active": true
}
]
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Accounts
Get Account's Workgroups
Retrieve all workgroups associated with the authenticated account. Returns a list of workgroups with their IDs, names, and configuration status.
What this does: Returns a list of workgroups configured on the account including their IDs, names, types, and active status. Use this to look up a WG- ID before attaching it to a voice route or schedule.
Next steps:
- Get full workgroup details —
GET /v1.0/workgroups - Create a workgroup —
POST /v1.0/workgroups
GET
/
v1.0
/
account
/
workgroups
cURL
curl -X GET 'https://api.telegent.com/v1.0/account/workgroups' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/account/workgroups"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/account/workgroups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Workgroups": [
{
"WorkgroupId": "WG-abc123",
"Name": "Support Team",
"Type": "ring",
"Active": true
}
]
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Response
Success — returns a list of workgroups for the account
The response is of type object.
⌘I